# System Development Group Project 2025

Welcome to **System Development Group Project 2025**! This repository contains the code and trained model files for our desktop application.

## 📂 Project Structure

- **`Feeding_Dashboard.py`** – The main desktop application script.
- **`random_forest_pipeline.pkl`** – The trained machine learning model.
- **`Model_training/`** – Contains Jupyter Notebook files used for model processing and training.

## Getting Started

### Prerequisites
Ensure you have Python installed along with the required dependencies. You may install them using:

```bash
pip install -r requirements.txt
```

### Required Imports
Ensure the following libraries are available in your environment:

```python
import customtkinter as ctk
import tkinter as tk
from tkinter import filedialog, messagebox
import pandas as pd
import joblib
import os
from tkinter import ttk
from sklearn.base import BaseEstimator, TransformerMixin
import matplotlib.pyplot as plt
from matplotlib.backends.backend_tkagg import FigureCanvasTkAgg
from reportlab.lib import colors
from reportlab.lib.pagesizes import letter
from reportlab.platypus import SimpleDocTemplate, Paragraph, Spacer, Image, Table, TableStyle
from reportlab.lib.styles import getSampleStyleSheet
from reportlab.lib.units import inch
import matplotlib.pyplot as plt
from reportlab.pdfgen import canvas
from reportlab.lib.utils import ImageReader
import io
```

### Running the Application
1. Place the `random_forest_pipeline.pkl` file in the same directory as `Feeding_Dashboard.py`.
2. Run the application using:

```bash
python Feeding_Dashboard.py
```

## Important Notes
- The **model file** (`random_forest_pipeline.pkl`) **must be in the same folder** as `Feeding_Dashboard.py` for the application to work correctly.
- The **Model_training folder** contains Jupyter Notebook files detailing the model training process.

-------

